Upgrade AngularJS to 1.4.9 and AngularUI Bootstrap to 1.3.3

RESOLVED FIXED

Status

RESOLVED FIXED
3 years ago
3 years ago

People

(Reporter: crosscent, Assigned: crosscent)

Tracking

Details

Attachments

(3 attachments)

(Assignee)

Description

3 years ago
Angular bootstrap 1.3.3 has some features that would be nice to have in. For example, boundary-link-numbers for uib-pagination.
(Assignee)

Comment 1

3 years ago
Angular bootstrap 1.3.3 requires $q.resolve, which is only available on AngularJS 1.4.5 or above. 

emorley, and wlach have suggested that we upgrade to the latest version in 1.4, which is 1.4.9.
Created attachment 8767715 [details] [review]
[treeherder] crosscent:Bug1284275 > mozilla:master
(Assignee)

Updated

3 years ago
Attachment #8767715 - Flags: review?(wlachance)
Comment on attachment 8767715 [details] [review]
[treeherder] crosscent:Bug1284275 > mozilla:master

Looks good to me. I would personally separate this into two commits (one to bump the angular version, another to bump angular bootstrap) but it's not that big a deal. Let's just get this landed so you can continue working. :)
Attachment #8767715 - Flags: review?(wlachance) → review+

Comment 4

3 years ago
Commit pushed to master at https://github.com/mozilla/treeherder

https://github.com/mozilla/treeherder/commit/b1a82fba5563248340869c40d4bb042b67b0deb2
Bug 1284275 - Upgrade AngularJS and it's dependencies to 1.4.9, and upgrade AngularUI Bootstrap to 1.3.3 (#1644)
Did some preliminary testing and this looks ok. I think it's a pretty low risk change, but we should run moztrap before the next deploy just to be sure.
Assignee: nobody → crosscent
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
Summary: Upgrade angular bootstrap to 1.3.3 → Upgrade AngularJS to 1.4.9 and AngularUI Bootstrap to 1.3.3
Created attachment 8770651 [details] [review]
[treeherder] wlach:1284275-2 > mozilla:master
Created attachment 8771387 [details] [review]
[treeherder] wlach:1284275-3 > mozilla:master
You need to log in before you can comment on or make changes to this bug.